Report of Patch Recommendations for Images
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/patchRecommendationsReport
Recommended patches report for all the images
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
excludeList: array
excludeList
exclude the given details in response
-
limit: number
limit for the current fetch (to fetch only the 'total' count of items need to set the limit=0)Example:
10 -
page: string
Base 64 encoded pageExample:
b2Zmc2V0OjA -
sort: string
Sort field along with an optional sort direction. The supported attributes for sorting are 'imageId', 'imageName', 'imageDescription', 'targetType', 'createdBy', 'timeCreated', 'platform', 'version', 'oracleRecommendedPatchCount', 'subcribedTargetStatistics.total', 'subcribedTargetStatistics.compliantTargetCount'.Valid sort directions include asc and desc. If sort direction is not specified asc is used by default.Example:
imageName:asc
Match All
Show Source
-
object
PatchRecommendationsReportFilter
Filters for the patch recommendations report
Nested Schema : excludeList
Type:
arrayexclude the given details in response
Show Source
-
Array of:
string
Allowed Values:
[ "total" ]
Nested Schema : PatchRecommendationsReportFilter
Type:
objectFilters for the patch recommendations report
Show Source
-
imageDescriptionMatches: string
Wildcard search on the image descriptionExample:
image% -
imageNameMatches: string
Wildcard search on the image nameExample:
db19% -
isCurrentVersionUptoDate: boolean
Flag to filter images, which have current version that do not have any recommended patches
-
isNonCurrentVersionUptodate: boolean
Flag to filter images, which have non-current version that do not have any recommended patches
-
platform: string
Platform of the imageExample:
linux_x64_86 -
targetTypeList: array
targetTypeList
List of target types
-
versionMatches: string
Wildcard search on the image versionExample:
19.14%
Nested Schema : targetTypeList
Type:
arrayList of target types
Show Source
-
Array of:
Allowed Values:
[ "oracle_database", "rac_database", "cluster", "has" ]
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
OK. Patch recommendation report details retrieved.
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
GoldImagePatchRecommendationsReport
Image details
Nested Schema : GoldImagePatchRecommendationsReport
Type:
objectImage details
Show Source
-
count: number
count of subscribed targets in the current fetchExample:
10 -
currentPage: string
Base 64 encoded current pageExample:
b2Zmc2V0OjA -
items: array
items
list of targets
-
nextPage: string
Base 64 encoded next pageExample:
b2Zmc2V0OjA -
previousPage: string
Base 64 encoded previous pageExample:
b2Zmc2V0OjA -
total: number
Total count of targets subscribed to imagesExample:
100
Nested Schema : items
Match All
Show Source
-
object
PatchRecommendationReportSummary
Summary of image with Patch recommendation report
Nested Schema : PatchRecommendationReportSummary
Type:
objectSummary of image with Patch recommendation report
Show Source
-
createdBy: string
Owner of Gold ImageExample:
SYSMAN -
currentVersionDescription: string
Description of the current version of imageExample:
19c RU14 image -
currentVersionName: string
Name of the current version of imageExample:
version05 -
imageDescription: string
Base 64 encoded previous pageExample:
database image with version 19.14 -
imageId: string
Id of the imageExample:
F444A18141937212E05380FE4564170A -
imageName: string
Name of the imageExample:
db19_14 -
isCurrentVersionUptoDate: boolean
Flag indicates if the current version of image does not have recommended patches
-
isFppImage: boolean
Flag indicate if the image is FPP
-
isNonCurrentVersionUptodate: boolean
Flag indicates if the non-current version of image does not have recommended patches
-
platform: string
Platform for the imageExample:
linux_x64_86 -
recommendedPatchCount: number
Count of recommended patchesExample:
5 -
subcribedTargetStatistics: object
subcribedTargetStatistics
Statistics of the subscribed targets
-
targetType: string
Target type of imageExample:
oracle_database -
timeCreated: string
(date-time)
Creation time of the Gold ImageExample:
2022-08-22 00:10:27.0 -
uptodateNonCurrentImageVersionName: string
When isNonCurrentVersionUptodate flag is true, this field contains uptodate noncurrent image version nameExample:
version5 -
version: string
Version the of the imageExample:
19.14.0.0.0
Nested Schema : subcribedTargetStatistics
Type:
objectStatistics of the subscribed targets
Match All
Statistics of the subscribed targets
Show Source
-
object
SubscribedTargetStatistics
Statistics of the subscribed targets
Nested Schema : SubscribedTargetStatistics
Type:
objectStatistics of the subscribed targets
Show Source
-
compliantTargetCount: number
Count of compliant targetsExample:
95 -
containedPdbCount: number
Count of contained PDBs countExample:
20 -
total: number
Count of total subscribed targetsExample:
100
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message